pub fn build_proverb(list: Vec<&str>) -> String {
    if list.len() == 0 { return String::from("") }

    let last_line = if list.len() > 2 { String::from("And all for the want of a horseshoe nail.") }
        else { String::from("And all for the want of a ") + list.first().unwrap() + &String::from(".") };

    let mut return_vec: Vec<String> = Vec::new();

    for i in 0..list.len()-1 {
        return_vec.push(String::from("For want of a ") + list[i] + &String::from(" the ") + list[i+1] + &String::from(" was lost."))
    }

    return_vec.push(last_line);
    return return_vec.join("\n")
}
